Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.
- Mock serverhttps://docs.transportial.com/_mock/apis/fleets/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/fleets/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/fleets/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/fleets/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "fleets": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/fleets/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/fleets/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/fleets/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/fleets/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "fleets": [ { … } ] }
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
- Mock serverhttps://docs.transportial.com/_mock/apis/fleet
- Test environmenthttps://test.api.otms.transportial.com/api/fleet
- Productionhttps://api.otms.transportial.com/api/fleet
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://docs.transportial.com/_mock/apis/fleet \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"number": "string",
"vehicles": [
{}
],
"teams": [
{}
],
"businesses": [
{}
]
}'{ "success": true, "message": "string", "code": 0, "fleet": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "number": "string", "vehicles": [ … ], "teams": [ … ], "businesses": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/fleet
- Test environmenthttps://test.api.otms.transportial.com/api/fleet
- Productionhttps://api.otms.transportial.com/api/fleet
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/fleet \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"name": "string",
"number": "string",
"vehicles": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"fleet": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"number": "string",
"vehicles": [
{}
],
"teams": [
{}
],
"businesses": [
{}
]
},
"order": 0,
"vehicle": {}
}
],
"teams": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"users": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "user",
"username": "string",
"avatar": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
},
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"password": "string",
"passwordModified": "2019-08-24T14:15:22Z",
"twoFactorAuthentication": true,
"status": "DELETED",
"loginMethod": "DEFAULT",
"role": {
"nonce": "string",
"name": "string",
"level": 0,
"permissions": [
{}
],
"specifiedPlatformId": "string"
},
"timezone": "string",
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"vehicleGroups": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"vehicles": [
null
]
}
],
"activeAdministration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"language": {},
"validation": {},
"identifiers": []
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{}
],
"quoteTermsAndConditions": [
{}
],
"transportOrderTermsAndConditions": [
{}
],
"identifiers": [
{
"language": {}
}
]
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"accountType": "default",
"standardLoadingSize": 0,
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"businesses": [
{}
],
"hasAgreedToPrice": true
}
],
"vehicleGroups": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"vehicles": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"vin": "string",
"licensePlate": "string",
"business": {},
"pictures": [
null
],
"vehicleType": "string",
"transportMode": "maritime",
"emissionStandard": "euro0",
"fuelCapacity": {},
"fuelType": "string",
"maxLinks": 0,
"loadCapacities": [
null
],
"length": {},
"height": {},
"width": {},
"loadLength": {},
"loadHeight": {},
"loadWidth": {},
"maxWeight": {},
"emptyWeight": {},
"loadLoadMeters": {},
"axles": [
null
],
"brand": {
"language": {},
"identifiers": [],
"business": {}
},
"boardComputers": [
null
],
"operational": true,
"notes": [
null
],
"sensors": [
null
],
"fleets": [
null
],
"chat": {
"language": {},
"starter": {},
"users": [],
"messages": [],
"identifiers": []
},
"trip": {
"language": {},
"currentAction": {},
"vehicle": {},
"chauffeurs": [],
"transportEquipments": [],
"consignments": [],
"contextEvents": [],
"documents": [],
"actors": [],
"actions": [],
"constraints": [],
"identifiers": [],
"businesses": [],
"externalAttributes": {},
"nextAction": {},
"lastAction": {}
},
"chauffeurs": [
null
],
"transportEquipments": [
null
],
"actors": [
null
],
"identifiers": [
null
],
"cameras": [
null
],
"legalStatistics": {
"countryCabotageStatistics": {}
},
"capacityContract": {
"language": {},
"business": {},
"pricingModules": [],
"consignments": []
},
"pricingModules": [
null
],
"attributes": [
null
],
"versionNumber": 0,
"hasAgreedToPrice": true
}
]
}
],
"fleets": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"number": "string",
"vehicles": [
{}
],
"teams": [
{}
],
"businesses": [
{}
]
}
]
}
],
"businesses": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"relationType": "string",
"alias": "string",
"description": "string",
"transportLicenseNumber": "string",
"eori": "string",
"scacCode": "string",
"industry": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"abbreviated": "string",
"enabled": true
},
"website": "string",
"coc": "string",
"vat": "string",
"invoiceAttentionTo": "string",
"invoiceEmail": "string",
"quoteAttentionTo": "string",
"quoteEmail": "string",
"verified": true,
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"logo": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"banners": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
],
"locations": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "warehouse",
"name": "string",
"unCode": "string",
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"openingTimes": {
"monday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"tuesday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"wednesday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"thursday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"friday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"saturday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
},
"sunday": {
"start": "string",
"end": "string",
"open": true,
"day": "2019-08-24",
"name": "string",
"description": "string"
}
},
"terminal": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"integrationType": "portbase",
"ean": "string",
"bicsCode": "string",
"quayName": "string",
"smdgCode": "string",
"locations": [
{}
],
"allowedModalities": [
"string"
],
"terminalSettings": [
{
"language": {}
}
],
"tarRequired": true,
"roadLicenseIdRequired": true
},
"actions": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "load",
"groupId": "string",
"name": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"identifiers": [
null
],
"lifeCycle": "requested",
"result": {
"results": [],
"answers": {},
"attachments": []
},
"remark": "string",
"sequenceNr": 0,
"tripSequenceNr": 0,
"location": {
"entity": {}
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"eta": "2019-08-24T14:15:22Z",
"etd": "2019-08-24T14:15:22Z",
"timeFormat": "string",
"recurrence": "string",
"duration": 0,
"estimatedDuration": 0,
"inTripOnly": true,
"actions": [
null
],
"communicationRequests": [
null
],
"documents": [
null
],
"contextEvents": [
null
],
"attributes": [
null
],
"versionNumber": 0,
"constraints": [
null
],
"consignment": {},
"isContainmentAction": true,
"vehicle": {},
"transportEquipment": {},
"stop": {},
"pin": "string",
"tar": "string",
"shipmentLine": {},
"containmentUUID": "string"
}
],
"constraints": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "accessConstraint",
"name": "string",
"enforceability": "enforced",
"description": "string"
}
],
"pricingElements": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"language": {}
},
"business": {}
}
],
"remark": "string",
"hash": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"dataIsComplete": true
}
],
"identification": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
],
"contactPersons": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"partOf": [
{}
],
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
{
"language": {}
}
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"dataIsComplete": true,
"pricingConfigurationCount": 0,
"hasAgreedToPrice": true
}
]
}'{ "success": true, "message": "string", "code": 0, "fleet": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "number": "string", "vehicles": [ … ], "teams": [ … ], "businesses": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/fleets/light
- Test environmenthttps://test.api.otms.transportial.com/api/fleets/light
- Productionhttps://api.otms.transportial.com/api/fleets/light
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.transportial.com/_mock/apis/fleets/light \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "fleets": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/fleet/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/fleet/{id}
- Productionhttps://api.otms.transportial.com/api/fleet/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/fleet/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "fleet": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "number": "string", "vehicles": [ … ], "teams": [ … ], "businesses": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/fleet/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/fleet/{id}
- Productionhttps://api.otms.transportial.com/api/fleet/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/fleet/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "fleet": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "number": "string", "vehicles": [ … ], "teams": [ … ], "businesses": [ … ] } }